require 'puppet/provider/parsedfile'

Puppet::Type.type(:rcconf).provide(:openbsd, :parent => Puppet::Provider::ParsedFile,
  :default_target => '/etc/rc.conf.local', :filetype => :flat) do

  defaultfor :operatingsystem => :openbsd

  desc 'Rcconf provider for OpenBSD.'

  def self.header
    ""
  end

  text_line :comment, :match => /^#/
  text_line :blank, :match => /^\s*$/

  record_line :openbsd, :fields => %w{name value}, :joiner => '=' do |line|
    x,y = line.split('=')
    { :name => x, :value => y || '' }
  end

end
