Puppet::Type.newtype(:rcconf) do
  @doc = 'Manage entries in rc.conf(8) on OpenBSD.'

  ensurable do
    defaultvalues
    defaultto :present
  end

  newparam(:name, :namevar => true) do
    desc 'The name of the variable the resource is managing.'
  end

  newproperty(:target) do
    desc 'The target file.  Usually /etc/rc.conf.local.'
    defaultto { 
      if @resource.class.defaultprovider.ancestors.include?(Puppet::Provider::ParsedFile)
        @resource.class.defaultprovider.default_target
      else
        nil
      end
    }
  end

  newproperty(:value) do
    desc 'The value of the variable the resource is managing.  Defaults to "".'
    defaultto '""'
  end
end
