# == Module: openbsd
#
# The OpenBSD module contains a plugin for managing the entries in /etc/rc.conf.local
# and an updated service provider. The two combined makes it possible to enable
# services and notify them. Classes for other OpenBSD-related functionality which is
# too OpenBSD specific or too small to warrant their own modules are also included. 
#
# === Installation
#
# The plugins require pluginsync = true in puppet.conf.
#
# The classes use a 'custom mount point', '/module_data', for looking up private data
# such as login.conf and mtree files, which should not be part of the module release.
# Each class which uses this mount point has a parameter '_mount', however, if you
# want to change it to '/modules/openbsd' and use the 'modules' mount point. 
#
# Setup the /module_data mount point in fileserver.conf:
#
# [module_data]
#     path /var/puppet/module_data
#     allow *.my.domain
#
# The directory should be owned by root:wheel and have permissions 0755. This is to
# have the same general permissions as the files would have in /etc. Some files need
# more relaxed permissions than their /etc counterparts, however; _puppet needs read
# access. 
#
# Data files have to be provided by the user, possibly from the host system.
#
# === Plugins
#
# * Service provider
# * rcconf
#
# === Classes
#
# * login_conf
# * mtree
# * pkg_conf
#
